Bug Hunting Session
Bug 109210 - Non-standard background color at the new controls
Summary: Non-standard background color at the new controls
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-07-19 13:27 UTC by Heiko Tietze
Modified: 2017-09-07 08:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Adwaita-dark (Breeze dark is worse) (51.55 KB, image/png)
2017-07-19 13:27 UTC, Heiko Tietze
Details
Patch I381626d80470db18044d517c2c8bb76b2bc6a829 (59.24 KB, image/png)
2017-08-08 19:20 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-19 13:27:06 UTC
Created attachment 134736 [details]
Adwaita-dark (Breeze dark is worse)

Using a dark background it looks like deactivated with the hard-coded grey background. It should use the same background color as in the upper grid.
Comment 1 Heiko Tietze 2017-08-08 19:20:36 UTC
Created attachment 135316 [details]
Patch I381626d80470db18044d517c2c8bb76b2bc6a829

One fail. I wonder if instead of rRenderContext.GetFillColor() the rStyleSetting.<>() wouldnt be better.
Comment 2 Commit Notification 2017-08-15 21:50:18 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f42200a08a733ad592a5587043b052882e17fc45

tdf#109210 - Non-standard background color at the new controls

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.